/*-----------------------------------*\
  #BASE STYLES
\*-----------------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Gamja+Flower&display=swap');

:root {
    --feeling-bg-1: ;
    --feeling-bg-2: ;
    --feeling-bg-3: ;
    --feeling-bg-4: ;
    --feeling-bg-5: ;
    --feeling-bg-6: ;
    --feeling-bg-7: ;
    --feeling-bg-8: ;

    --dashborad-bg: ;
}

/*-----------------------------------*\
  #RESET STYLES
\*-----------------------------------*/

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: "Gamja Flower", sans-serif;
    font-weight: 400;
    font-style: normal;
}

body {
    min-height: 100vh;
    display: grid;
    place-content: center;
    margin: 2rem auto 1.5rem;
}

button {
    font-family: inherit;
    border: none;
    background: none;
}

img,
button,
li,
a { cursor: pointer; }

li { list-style: none; }

a { text-decoration: none; }

main.container {
    width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.typed-cursor {
    font-size: 2rem;   
    margin-left: 3px;       
    font-weight: 500;        
    line-height: 1;          
    color: currentColor;      
    opacity: 1;
    animation: blink 0.7s infinite;
    color: white;
}

@keyframes blink {
    50% { opacity: 0; }
}

/*-----------------------------------*\
  #INDEX PAGE STYLES
\*-----------------------------------*/

body.main { 
    /* background: #abc793;  */
    transition: background-color 0.5s ease;
}

.contentContainer {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.text {
    position: relative;
    font-size: 30px;
    font-weight: 600;
}

.text.animate-text { 
    margin-left: 0.7rem; 
    letter-spacing: 1px;
    color: white;
}

.startBtnContainer { margin: 48px; }

#start-btn {
    font-size: 16px;
    font-weight: 600;
    background-color: rgb(255, 255, 255);
    color: rgb(34, 34, 34);
    box-shadow: rgba(21, 30, 8, 0.6) 2px 2px 4px;
    padding: 12px 24px;
    border-radius: 50px;
}

/*-----------------------------------*\
  #NEW ENRTY PAGE STYLES
\*-----------------------------------*/

body.newEntry {
    background-color: rgb(168, 155, 209);
    color: #fff;
    transition: background-color 0.4s ease-in-out;
}

@media screen and (min-width: 600px) {
    body.newEntry { overflow: hidden; }
   
}

body.newEntry > main.container { 
    gap: 5rem; 
    padding: 1rem;
}

.emtionQuestionaire .title-text {
    font-size: 32px;
    margin: 0 auto 2rem;
    text-align: center;
}

.emotion-counter {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
}

.btn {
    display: grid;
    place-content: center;
    gap: 5px;
    min-width: 72px;
    max-height: 72px;
    padding: 8px 0;
    font-weight: 600;
    border: none;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.1);
    color: #fff;
    border: 1px solid rgba(255, 255, 255, 0.2);
    transition: background-color 0.3s ease-in-out, transform 0.3s ease;
    backdrop-filter: blur(10px); 
  -webkit-backdrop-filter: blur(10px); 
  cursor: pointer;
}

.btn:hover {
  transform: scale(1.1);
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
  background: rgba(255, 255, 255, 0.2);
}

.btn.selected {
    background: #fff;
    color: #000;
    transform: scale(1.1);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
}

img {width: 5px;}

.btn > img {
    width: 32px;
    height: 32px;
    margin: 0 auto;
}

.entryThoughts {
    width: 100%;
    display: grid;
    place-content: center;
    gap: 2rem;
}

@media screen and (min-width: 720px) {
    .entryThoughts { 
        grid-template-columns: 1fr 1fr; 
        padding-inline: 3rem;
    }    

    .entryThoughts .subtitle { text-align: center; }
}

.entryThoughts .subtitle {
    margin-bottom: 1rem;
}

section textarea {
    padding: 4px;
    border: none;
    border-radius: 10px;
    font-family: 'Segoe UI', sans-serif;
    font-size: 14px;
    width: 100%;
    height: calc(1.5em * 8); 
    line-height: 1.5em;
    overflow-y: auto;
    resize: none;
}


#newEntryBtn {
    font-size: 16px;
    font-weight: 600;
    padding: 12px 24px;
    background-color: #fff;
    color: #222;
    border: none;
    border-radius: 50px;
    box-shadow: 2px 2px 4px rgba(21, 30, 8, 0.6);
    margin-top: -2.5rem;
}

/*-----------------------------------*\
  #SIGN UP PAGE STYLES
\*-----------------------------------*/




/*-----------------------------------*\
  #DASHBORAD PAGE STYLES
\*-----------------------------------*/